Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jcajce.provider.config
Class ProviderConfigurationPermission

    java.lang.Object
      java.security.Permission
          java.security.BasicPermission
              org.bouncycastle.jcajce.provider.config.ProviderConfigurationPermission

All Implemented Interfaces:
  Serializable, Guard

    public class ProviderConfigurationPermission

extends BasicPermission

See Also:
  Serialized Form

Constructor Summary
`ProviderConfigurationPermission(String par1Str)`
`ProviderConfigurationPermission(String par1Str, String par2Str)`

Method Summary
`boolean` | `equals(Object par1Obj)`
`String` | `getActions()`
`int` | `hashCode()`
`boolean` | `implies(Permission par1Permission)`

Methods inherited from class java.security.BasicPermission
`newPermissionCollection`

Methods inherited from class java.security.Permission
`checkGuard, getName, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProviderConfigurationPermission

    public ProviderConfigurationPermission(String par1Str)

### ProviderConfigurationPermission

    public ProviderConfigurationPermission(String par1Str,
                                           String par2Str)

Method Detail

### getActions

    public String getActions()

  Overrides:
    `getActions` in class `BasicPermission`

### implies

    public boolean implies(Permission par1Permission)

  Overrides:
    `implies` in class `BasicPermission`

### equals

    public boolean equals(Object par1Obj)

  Overrides:
    `equals` in class `BasicPermission`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `BasicPermission`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD